Upgrading rails to 2.3.2 - CookieOverflow issue

Folks,

I am trying to upgrade system from rails 1.3.x to 2.3.2 and getting
this error -

Status: 500 Internal Server Error
ActionController::Session::CookieStore::CookieOverflow
/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.2/lib/action_controller/
session/cookie_store.rb:102:in call' /usr/lib/ruby/gems/1.8/gems/actionpack-2.3.2/lib/action_controller/ reloader.rb:9:incall’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.2/lib/action_controller/
failsafe.rb:11:in call' /usr/lib/ruby/gems/1.8/gems/actionpack-2.3.2/lib/action_controller/ vendor/rack-1.0/rack/lock.rb:11:incall’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.2/lib/action_controller/
vendor/rack-1.0/rack/lock.rb:11:in `synchronize’

How do I fix it?

Please help.

Thanks.
Rajat

Do not use session for storing objects (by defaults session in rails
using cookies) or use DB session storage
max size 4K

Rajat G. wrote:

Folks,

I am trying to upgrade system from rails 1.3.x to 2.3.2 and getting
this error -

Status: 500 Internal Server Error
ActionController::Session::CookieStore::CookieOverflow
/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.2/lib/action_controller/
session/cookie_store.rb:102:in call' /usr/lib/ruby/gems/1.8/gems/actionpack-2.3.2/lib/action_controller/ reloader.rb:9:incall’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.2/lib/action_controller/
failsafe.rb:11:in call' /usr/lib/ruby/gems/1.8/gems/actionpack-2.3.2/lib/action_controller/ vendor/rack-1.0/rack/lock.rb:11:incall’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.2/lib/action_controller/
vendor/rack-1.0/rack/lock.rb:11:in `synchronize’

How do I fix it?

Please help.

Thanks.
Rajat

Thanks. I am doing active_record_store now and it is working but now I
have another set of issues. Phew! upgrading is a pain in butt.

On Apr 21, 1:18 am, “Igor K.” [email protected]

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs